<?php
require_once(__DIR__."/PHP/myPage.php");
require_once(__DIR__."/PHP/genMenu.php");

$STYL =<<<EOT
#mainform {
  background: #ddd;
  padding: 1em;
  color: #222;
}
#mainform > div {
  padding: 0.5em 0;
}
label {
  display: inline-block;
  width: 6em;
}
input[type=integer] {
  width: 3em;
}
input[type=submit] {
  margin-top: 1em;
  background: #222;
  color: gold;
  padding: 0.5em;
  font-size: 1.25em;
  border: none;
  border-radius: 0.25em;
}
EOT;

$P =  new MyPage("JCI: forma");
$P->SetDescription("Testujemy frames");
$P->AddInnerStyle($STYL);

echo $P->Begin();
echo $P->PageHeader();
echo generujMenu2("M1");
?>

<h1>Forma</h1>
  <p>Podaj swoją datę urodzin a wyliczę Ci jak długo żyjesz.</p>
  
  <div id="mainform"> 
  <form name="glownaForma" action="form02b.php" onsubmit="return validateForm();" method="get">
  <div>
    <label for="day">Dzień:</label>
    <input type="number" name="day" min="1" max="31">
  </div>
  <div>
    <label for="month">Miesięc:</label>
    <input type="number" name="month" min="1" max = "12">
  </div>
  <div>
    <label for="year">Rok:</label>
    <input type="number" name="year" min="1970" max="2017">
  </div>
  
  <div>
    <input type="submit" value="Wyślij">
  </div>
  </form>
  </div>
  
  <p id="info"></p>

<script>

function str2IntQ(x){
    return parseInt(x) + "" === x;
}

function checkInt(x,min,max){
  return Number.isInteger(x) && (x >= min) && (x <= max);
}

function czyPrzestepny(rok)
{
    return ( (rok % 4 == 0 && rok % 100 != 0) || rok % 400 == 0);
}

function validateForm() {

    var day   = document.forms["glownaForma"]["day"].value;
    var month = document.forms["glownaForma"]["month"].value;
    var year  = document.forms["glownaForma"]["year"].value;
    var info  = document.getElementById("info");

    if (!(str2IntQ(day) && str2IntQ(month) && str2IntQ(year))){
        info.innerText = "Wprowadź poprawną datę";
        return false;
    }

    day   =  parseInt(day);
    month =  parseInt(month);
    year  =  parseInt(year);

    if ((month===2) && (day>28)) {
      info.innerText = "Luty ma co najwyżej 28 dni";
      return false;
    }
    if ((month===2) && !czyPrzestepny(year) && (day>27)) {
      info.innerText = "Luty w roku nie-przestępnym ma 27 dni";
      return false;
    }
    return true;
}
</script>
<?php 
echo $P->End();
?>