<?php
require_once(__DIR__."/PHP/myPage.php");
require_once(__DIR__."/PHP/genMenu.php");

/**
* styl specyficzny dla strony 
*/
$STYL = <<<EOT
#container {
  width: 100%;
  max-width: 720px;
  margin: 1em auto;
  background: #111;
  color: #fff;
  padding: 1em;
}
.info a {text-decoration: none; color:#09f; font-size:1.5em;}
ul.answer li {
  margin-left:2em;
}
p{padding: 1em 0;}
EOT;

/* OBLICZENIA */

$INFO_TMPL =<<<EOT
<div class = "info">
<h2>O Twoim życiu</h2>
<ul class="answer circle">
  <li>Urodziłeś się: {{BORN}} </li>
  <li>Dzisiaj jest : {{TODAY}} </li>
  <li>Żyjesz około : {{SEC}} sekund (&pm; 10<sup>5</sup>)</li>
  <li>Żyjesz około : {{HOURS}} godzin (&pm; 24)</li>
  <li>Żyjesz około : {{DAYS}} dni (&pm; 1)</li>
  <li>W tym czasie Ziemia przebyła ok. {{EARTH}} km wokół Słońca (to taka mała gwiazdka klasy G2V (czyli jest na ciągu głównym) w wewnętrznej części ramienia Oriona Drogi Mlecznej; ma około 5 miliardów lat i mniej więcej tyle samo lat przed sobą)</li>
</ul>
<p>
<a href="uwagi.php" target="_blank">Uwagi</a>
</p>
</div>
EOT;

// to sa dane, ktore powinnismy otrzymac metoda GET

$day = $month = $year = 0;

  /**
  * funkcja sprawdza, czy x jest w odcinku [min,max]. 
  * @param int $x
  * @param int $min
  * @param int $max 
  * @return bool 
  */
  function checkIntegerRange($x, $min, $max)
  {
    return ($x >= $min && $x <= $max);
  }

  /**
  * sprawdza poprawnosc danych otrzymanych metodą GET.
  * @return bool 
  */
  function sprawdzDane() {
    global $day, $month, $year;
    
    $OK = isset($_GET["day"]) && isset($_GET["month"]) && isset($_GET["year"]);
    
    if ($OK) {
      $day   = (int)$_GET["day"];
      $month = (int)$_GET["month"];
      $year  = (int)$_GET["year"];
      
      $OK = $OK && checkIntegerRange($day  ,1,31);
      $OK = $OK && checkIntegerRange($month,1,12);
      $OK = $OK && checkIntegerRange($year ,1900,2010);
    }
    return $OK;
  }
  
  /**
  * Wyswietla glowna czesc strony
  * @return string
  */
  function wyswietlStrone() {
    global $INFO_TMPL, $day, $month, $year;
    
    $born = mktime(0, 0, 0, $month, $day, $year);
    $now  = time();
    $diff = $now - $born;
    
    $s = (string) str_replace(
           ["{{BORN}}","{{TODAY}}","{{SEC}}", "{{HOURS}}", "{{DAYS}}","{{EARTH}}"], 
           [date("Y-m-d", $born), 
            date("Y-m-d", $now), 
            number_format($diff,           0,"."," "), 
            number_format($diff/(60*60),   0,"."," "),
            number_format($diff/(60*60*24),0,"."," "),
            number_format($diff*29.78,     0,"."," ")
            ],
           $INFO_TMPL);
    return $s;
  }

if (sprawdzDane()){
    $P =  new MyPage("JCI: forma");
    $P->SetDescription("Testujemy frames");
    $P->AddInnerStyle($STYL);
    $P->AddCSS("hmenu.css");
    $P->AddCSS("intro.css");
    echo $P->Begin();
    echo $P->PageHeader();
    echo generujMenu2("M1");
    echo wyswietlStrone();
    echo $P->End();
} else {
    header('Location: ALERT.html');
}

?>
